# H245_H263VideoCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H263VideoCapability:

List of all members.

## Public Types

enum | OptionalFields { e_sqcifMPI, e_qcifMPI, e_cifMPI, e_cif4MPI, e_cif16MPI, e_hrd_B, e_bppMaxKb, e_slowSqcifMPI, e_slowQcifMPI, e_slowCifMPI, e_slowCif4MPI, e_slowCif16MPI, e_errorCompensation, e_enhancementLayerInfo, e_h263Options }

## Public Member Functions

| H245_H263VideoCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_sqcifMPI
PASN_Integer | m_qcifMPI
PASN_Integer | m_cifMPI
PASN_Integer | m_cif4MPI
PASN_Integer | m_cif16MPI
PASN_Integer | m_maxBitRate
PASN_Boolean | m_unrestrictedVector
PASN_Boolean | m_arithmeticCoding
PASN_Boolean | m_advancedPrediction
PASN_Boolean | m_pbFrames
PASN_Boolean | m_temporalSpatialTradeOffCapability
PASN_Integer | m_hrd_B
PASN_Integer | m_bppMaxKb
PASN_Integer | m_slowSqcifMPI
PASN_Integer | m_slowQcifMPI
PASN_Integer | m_slowCifMPI
PASN_Integer | m_slowCif4MPI
PASN_Integer | m_slowCif16MPI
PASN_Boolean | m_errorCompensation
H245_EnhancementLayerInfo | m_enhancementLayerInfo
H245_H263Options | m_h263Options

## Member Enumeration Documentation

enum H245_H263VideoCapability::OptionalFields

Enumerator:

  e_sqcifMPI |
  e_qcifMPI |
  e_cifMPI |
  e_cif4MPI |
  e_cif16MPI |
  e_hrd_B |
  e_bppMaxKb |
  e_slowSqcifMPI |
  e_slowQcifMPI |
  e_slowCifMPI |
  e_slowCif4MPI |
  e_slowCif16MPI |
  e_errorCompensation |
  e_enhancementLayerInfo |
  e_h263Options |

## Constructor & Destructor Documentation

H245_H263VideoCapability::H245_H263VideoCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H263VideoCapability::GetDataLength | ( |  | ) | const

PBoolean H245_H263VideoCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_H263VideoCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H263VideoCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H263VideoCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H263VideoCapability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_H263VideoCapability::m_sqcifMPI

PASN_Integer H245_H263VideoCapability::m_qcifMPI

PASN_Integer H245_H263VideoCapability::m_cifMPI

PASN_Integer H245_H263VideoCapability::m_cif4MPI

PASN_Integer H245_H263VideoCapability::m_cif16MPI

PASN_Integer H245_H263VideoCapability::m_maxBitRate

PASN_Boolean H245_H263VideoCapability::m_unrestrictedVector

PASN_Boolean H245_H263VideoCapability::m_arithmeticCoding

PASN_Boolean H245_H263VideoCapability::m_advancedPrediction

PASN_Boolean H245_H263VideoCapability::m_pbFrames

PASN_Boolean H245_H263VideoCapability::m_temporalSpatialTradeOffCapability

PASN_Integer H245_H263VideoCapability::m_hrd_B

PASN_Integer H245_H263VideoCapability::m_bppMaxKb

PASN_Integer H245_H263VideoCapability::m_slowSqcifMPI

PASN_Integer H245_H263VideoCapability::m_slowQcifMPI

PASN_Integer H245_H263VideoCapability::m_slowCifMPI

PASN_Integer H245_H263VideoCapability::m_slowCif4MPI

PASN_Integer H245_H263VideoCapability::m_slowCif16MPI

PASN_Boolean H245_H263VideoCapability::m_errorCompensation

H245_EnhancementLayerInfo H245_H263VideoCapability::m_enhancementLayerInfo

H245_H263Options H245_H263VideoCapability::m_h263Options

The documentation for this class was generated from the following file:

- h245.h